Index: /BOL/script_install_amaury/install_lmdz.sh
===================================================================
--- /BOL/script_install_amaury/install_lmdz.sh	(revision 5331)
+++ /BOL/script_install_amaury/install_lmdz.sh	(revision 5332)
@@ -378,5 +378,5 @@
          getlog="$(pwd)/get.log"
          git clone https://gitlab.in2p3.fr/ipsl/projets/dynamico/dynamico.git DYNAMICO ; cd DYNAMICO ; git checkout master; cd .. &>> get.log
-         svn checkout https://svn.lmd.jussieu.fr/LMDZ/ICOSA_LMDZ &>> get.log
+         svn checkout http://svn.lmd.jussieu.fr/LMDZ/ICOSA_LMDZ &>> get.log
          cd "$TMPLOCDIR" &> /dev/null
        fi
@@ -492,4 +492,5 @@
         # Add to path
         export PATH="$ncdfdir/bin:$PATH"
+        echo "Bin PATH" $PATH
 
         #----------------------------------------------------------------------------
@@ -542,5 +543,8 @@
     ioipsllog="$(pwd)/ioipsl.log"
     echo "Compiling IOIPSL, the interface library with Netcdf $(date) (log: $ioipsllog)"
-
+# in case ksh is not installed on the pc
+    if [[ ! -x /bin/ksh ]]; then
+      sed -i''  -e 's/ksh/bash/' ins_m_prec 
+    fi
     echo "$jobcmd ./makeioipsl_fcm -j $make_j -arch $arch $optim_flag" > compile.sh
     chmod +x compile.sh
@@ -729,4 +733,5 @@
 function compile_icolmdzor {
     if [[ $icolmdz = 1 ]]; then
+
 #      install_arch "DYNAMICO"
       install_arch "ICOSA_LMDZ"
@@ -739,4 +744,5 @@
       cd ../DYNAMICO
       cd arch
+# Need to get rather than install the archs as DYNAMICO uses FCMv2 that does not understand the makefile syntax ($shell)
       wget http://lmdz.lmd.jussieu.fr/pub/src_archives/misc/arch/DYNAMICO/arch-$arch.env
       wget http://lmdz.lmd.jussieu.fr/pub/src_archives/misc/arch/DYNAMICO/arch-$arch.fcm
@@ -754,4 +760,5 @@
 
       # Compile icosa_lmdz
+      echo "Bin PATH before icosalmdz" $PATH
       cd ../ICOSA_LMDZ
       icosalog="$(pwd)/icosa.log"
@@ -1061,5 +1068,6 @@
 compile_orchidee
 compile_lmdz
+compile_icolmdzor
 run_bench
-compile_icolmdzor
+if [ ! $? = 0 ]; then exit 1; fi 
 run_bench_icosa
